View Issue Details

IDProjectCategoryView StatusLast Update
0022256mantisbtjavascriptpublic2018-09-01 13:11
Reportersyncguru Assigned Tosyncguru  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Target Version2.2.0Fixed in Version2.2.0 
Summary0022256: Unbundle JS libraris from Ace theme files
Description

Ace theme is bundled with several js libraries. There are couple of issues with this bundling:
1- We are using small subset but still carrying the js libraries nonetheless
2- Newer versions of the js libraries we use are now available but we cannot upgrade due to bundling

TagsNo tags attached.

Relationships

related to 0024718 closeddregad version of Typeahead wrongly defined 

Activities

syncguru

syncguru

2017-01-27 17:42

developer   ~0055377

PR: https://github.com/mantisbt/mantisbt/pull/1009

atrol

atrol

2017-02-14 03:59

developer   ~0055666

Setting back from closed to resolved as 2.2.0 is not yet released.

Related Changesets

MantisBT: master bd73abd5

2017-01-27 16:12:46

syncguru


Committer: vboctor Details Diff
Unbundle JS libraries from Ace theme files

+ Add typeahead.js library
+ Organize js/css libraries used in readme.txt

Fixes 0022256
Affected Issues
0022256
mod - core/constant_inc.php Diff File
mod - core/layout_api.php Diff File
mod - css/ace-mantis.css Diff File
mod - css/ace-part2.css Diff File
mod - css/ace-part2.min.css Diff File
mod - css/ace-rtl.css Diff File
mod - css/ace-rtl.min.css Diff File
mod - css/ace-skins.css Diff File
mod - css/ace-skins.min.css Diff File
mod - css/ace.css Diff File
mod - css/ace.min.css Diff File
mod - doc/ace-theme-license.txt Diff File
rm - js/ace-elements.js Diff File
rm - js/ace-elements.min.js Diff File
rm - js/ace-extra.js Diff File
rm - js/ace-extra.min.js Diff File
mod - js/ace.js Diff File
mod - js/ace.min.js Diff File
mod - js/common.js Diff File
add - js/typeahead.jquery-1.1.1.min.js Diff File
mod - library/README.md Diff File

Issue History

Date Modified Username Field Change
2017-01-26 01:46 syncguru New Issue
2017-01-26 01:46 syncguru Status new => assigned
2017-01-26 01:46 syncguru Assigned To => syncguru
2017-01-27 17:42 syncguru Note Added: 0055377
2017-02-03 19:01 vboctor Changeset attached => MantisBT master bd73abd5
2017-02-03 19:01 vboctor Assigned To syncguru => vboctor
2017-02-03 19:01 vboctor Status assigned => resolved
2017-02-03 19:01 vboctor Resolution open => fixed
2017-02-03 19:01 vboctor Fixed in Version => 2.0.2
2017-02-03 19:19 atrol Assigned To vboctor => syncguru
2017-02-03 19:19 atrol Fixed in Version 2.0.2 => 2.2.0
2017-02-03 19:19 atrol Target Version => 2.2.0
2017-02-05 13:04 vboctor Category ui => javascript
2017-02-14 00:58 syncguru Status resolved => closed
2017-02-14 03:59 atrol Status closed => resolved
2017-02-14 03:59 atrol Note Added: 0055666
2017-02-26 21:17 vboctor Status resolved => closed
2018-09-01 13:11 atrol Relationship added related to 0024718